%global pypi_name sip

# comment out if not dev snapshot
#global dev     dev2206062241

%define rel     1

Name:           python-sip6
Version:        6.10.0
Release:        %mkrel %{?dev:0.%dev.}%{rel}
Summary:        SIP - Python/C++ Bindings Generator
Group:          Development/Python
# code_generator/parser.{c.h} is GPLv2+ with exceptions (bison)
License:        (GPLv2 or GPLv3) and (GPLv2+ with exceptions)
URL:            https://www.riverbankcomputing.com/software/sip
%if 0%{?dev:1}
Source0:        https://www.riverbankcomputing.com/pypi/packages/sip/sip-%{version}.%{dev}.tar.gz
%else
Source0:        %{pypi_source}
%endif
BuildArch:      noarch

BuildRequires:  python3-devel

%description
SIP is a collection of tools that makes it very easy to create Python bindings
for C and C++ libraries. It was originally developed in 1998 to create PyQt,
the Python bindings for the Qt toolkit, but can be used to create bindings for
any C or C++ library. For example it is also used to generate wxPython, the
Python bindings for wxWidgets.

%package -n python3-sip6
Summary:        SIP - Python/C++ Bindings Generator
%{?python_provide:%python_provide python3-sip6}
%{?python_provide:%python_provide python3-sip}
Provides:       sip6 = %{version}-%{release}
# Replace unused older sip
Obsoletes:      python3-sip < 1:4.19.25-10
Obsoletes:      python3-sip-devel < 1:4.19.25-10
Obsoletes:      python3-pyqt4-sip < 1:4.19.25-10

%description -n python3-sip6
SIP is a collection of tools that makes it very easy to create Python bindings
for C and C++ libraries. It was originally developed in 1998 to create PyQt,
the Python bindings for the Qt toolkit, but can be used to create bindings for
any C or C++ library. For example it is also used to generate wxPython, the
Python bindings for wxWidgets.

#--------------------------------------------------------------------

%prep
%autosetup -n %{pypi_name}-%{version}%{?dev:.%dev} -p 1

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files sipbuild

%check
%pyproject_check_import

%files -n python3-sip6 -f %{pyproject_files}
%doc README.md
%license LICENSE
%{_bindir}/sip*


%changelog
* Thu Feb 27 2025 daviddavid <daviddavid> 6.10.0-1.mga10
+ Revision: 2153251
- new version: 6.10.0

* Wed Feb 26 2025 wally <wally> 6.9.1-2.mga10
+ Revision: 2153045
- rebuild for python3.13

* Wed Dec 18 2024 daviddavid <daviddavid> 6.9.1-1.mga10
+ Revision: 2126012
- new version: 6.9.1

* Wed Dec 11 2024 daviddavid <daviddavid> 6.9.0-1.mga10
+ Revision: 2123435
- new version: 6.9.0

* Tue Jul 16 2024 daviddavid <daviddavid> 6.8.6-1.mga10
+ Revision: 2081672
- new version: 6.8.6

* Fri Feb 23 2024 daviddavid <daviddavid> 6.8.3-2.mga10
+ Revision: 2043776
- obsoletes also old and unused python3-pyqt4-sip

* Sun Feb 18 2024 daviddavid <daviddavid> 6.8.3-1.mga10
+ Revision: 2042258
- new version: 6.8.3

* Thu Jan 25 2024 daviddavid <daviddavid> 6.8.2-1.mga10
+ Revision: 2034172
- new version: 6.8.2

* Wed Jan 24 2024 daviddavid <daviddavid> 6.8.1-1.mga10
+ Revision: 2034084
- new version: 6.8.1

* Thu Dec 07 2023 wally <wally> 6.7.12-2.mga10
+ Revision: 2015228
- rebuild for py3.12
- use %%pyproject_buildrequires

* Wed Oct 25 2023 daviddavid <daviddavid> 6.7.12-1.mga10
+ Revision: 2001578
- new version: 6.7.12

* Tue Oct 10 2023 wally <wally> 6.7.11-2.mga10
+ Revision: 1994093
- replace old and nowadays unused python3-sip

* Thu Sep 21 2023 daviddavid <daviddavid> 6.7.11-1.mga10
+ Revision: 1989231
- new version: 6.7.11

* Mon Jan 30 2023 daviddavid <daviddavid> 6.7.6-1.mga9
+ Revision: 1937019
- new version: 6.7.6

* Sun Dec 18 2022 wally <wally> 6.7.5-1.mga9
+ Revision: 1925204
- new version 6.7.5

* Sat Oct 22 2022 ghibo <ghibo> 6.7.2-1.mga9
+ Revision: 1898496
- Update to release 6.7.2

* Tue Aug 09 2022 wally <wally> 6.6.2-1.mga9
+ Revision: 1876313
- new version 6.6.2
- switch build to use pyproject RPM macros

* Thu Jun 09 2022 wally <wally> 6.6.2-0.dev2206062241.1.mga9
+ Revision: 1863778
- new version 6.6.2.dev2206062241
- fix descriptions

* Thu May 19 2022 wally <wally> 6.5.1-4.mga9
+ Revision: 1859238
- rename binary pkg as python3-sip6
- conflict with older python3-sip

* Sat Mar 19 2022 umeabot <umeabot> 6.5.1-3.mga9
+ Revision: 1799296
- Mageia 9 Mass Rebuild

* Thu Feb 24 2022 guillomovitch <guillomovitch> 6.5.1-2.mga9
+ Revision: 1784169
- run tests

* Sat Feb 12 2022 neoclust <neoclust> 6.5.1-1.mga9
+ Revision: 1773239
- imported package python-sip6

